Subject: bug#49781: Successful build on ci.guix not available as substitute

From: Ludovic Courtès <[email-masked]>
Date: Tue, 10 Aug 2021 09:53:34 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> I found out the reason of this failure, the .185 key was not authorized
> on Berlin. This issue while really simple, took us a long time to
> detect. I think we need to come out with a big warning somewhere when a
> substitute is refused because the server is not authorized.

Ouch!  That machine must have been off-line when I initially imported
all the keys.

The difficulty with printing a warning is that when using ‘--discover’
or similar, we just want to use unauthorized machines as mirrors, and
there should be no warnings in that case.  But it’s hard to tell whether
that’s intended or not.

> In the meantime this is fixed with
> d8f078a2c96b867abba5092a251175b8d82dd37c in the maintenance repository.

Thank you!

Ludo’.